petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetPointGlobalField

get location of point field data in global Vec

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetPointGlobalField(DM dm, PetscInt point, PetscInt field, PetscInt *start, PetscInt *end)

Not Collective Many br

### Input Arguments

| dm | - DM defining the topological space Many br
| point | - topological point Many br
| field | - the field number Many br

### Output Arguments

| start | - start of point data; returns -(globalStart+1) if point is not owned Many br
| end | - end of point data; returns -(globalEnd+1) if point is not owned Many br

Note: This is a half open interval [start, end) Many br

Many br

### See Also

DMPlexGetPointGlobal(), DMGetDefaultSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexPointGlobalRead(), DMPlexGetPointLocal(), DMPlexPointGlobalRead(), DMPlexPointGlobalRef()

Level:intermediate
Location:src/dm/impls/plex/plexpoint.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages